Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network97.2.84.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
97.2.84.0
Broadcast address
97.2.87.255
First usable
97.2.84.1
Last usable
97.2.87.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 61025400 · Integer 1627542528 to 1627543551
Reverse DNS zones
84.2.97.in-addr.arpa
85.2.97.in-addr.arpa
86.2.97.in-addr.arpa
87.2.97.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100001.00000010.01010100.0000000097.2.84.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01100001.00000010.01010100.0000000097.2.84.0
Broadcast01100001.00000010.01010111.1111111197.2.87.255
Split into smaller subnets/29

97.2.84.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
197.2.84.0/2997.2.84.1 to 97.2.84.697.2.84.76
297.2.84.8/2997.2.84.9 to 97.2.84.1497.2.84.156
397.2.84.16/2997.2.84.17 to 97.2.84.2297.2.84.236
497.2.84.24/2997.2.84.25 to 97.2.84.3097.2.84.316
597.2.84.32/2997.2.84.33 to 97.2.84.3897.2.84.396
697.2.84.40/2997.2.84.41 to 97.2.84.4697.2.84.476
797.2.84.48/2997.2.84.49 to 97.2.84.5497.2.84.556
897.2.84.56/2997.2.84.57 to 97.2.84.6297.2.84.636
997.2.84.64/2997.2.84.65 to 97.2.84.7097.2.84.716
1097.2.84.72/2997.2.84.73 to 97.2.84.7897.2.84.796
1197.2.84.80/2997.2.84.81 to 97.2.84.8697.2.84.876
1297.2.84.88/2997.2.84.89 to 97.2.84.9497.2.84.956
1397.2.84.96/2997.2.84.97 to 97.2.84.10297.2.84.1036
1497.2.84.104/2997.2.84.105 to 97.2.84.11097.2.84.1116
1597.2.84.112/2997.2.84.113 to 97.2.84.11897.2.84.1196
1697.2.84.120/2997.2.84.121 to 97.2.84.12697.2.84.1276
1797.2.84.128/2997.2.84.129 to 97.2.84.13497.2.84.1356
1897.2.84.136/2997.2.84.137 to 97.2.84.14297.2.84.1436
1997.2.84.144/2997.2.84.145 to 97.2.84.15097.2.84.1516
2097.2.84.152/2997.2.84.153 to 97.2.84.15897.2.84.1596
2197.2.84.160/2997.2.84.161 to 97.2.84.16697.2.84.1676
2297.2.84.168/2997.2.84.169 to 97.2.84.17497.2.84.1756
2397.2.84.176/2997.2.84.177 to 97.2.84.18297.2.84.1836
2497.2.84.184/2997.2.84.185 to 97.2.84.19097.2.84.1916
2597.2.84.192/2997.2.84.193 to 97.2.84.19897.2.84.1996
2697.2.84.200/2997.2.84.201 to 97.2.84.20697.2.84.2076
2797.2.84.208/2997.2.84.209 to 97.2.84.21497.2.84.2156
2897.2.84.216/2997.2.84.217 to 97.2.84.22297.2.84.2236
2997.2.84.224/2997.2.84.225 to 97.2.84.23097.2.84.2316
3097.2.84.232/2997.2.84.233 to 97.2.84.23897.2.84.2396
3197.2.84.240/2997.2.84.241 to 97.2.84.24697.2.84.2476
3297.2.84.248/2997.2.84.249 to 97.2.84.25497.2.84.2556
3397.2.85.0/2997.2.85.1 to 97.2.85.697.2.85.76
3497.2.85.8/2997.2.85.9 to 97.2.85.1497.2.85.156
3597.2.85.16/2997.2.85.17 to 97.2.85.2297.2.85.236
3697.2.85.24/2997.2.85.25 to 97.2.85.3097.2.85.316
3797.2.85.32/2997.2.85.33 to 97.2.85.3897.2.85.396
3897.2.85.40/2997.2.85.41 to 97.2.85.4697.2.85.476
3997.2.85.48/2997.2.85.49 to 97.2.85.5497.2.85.556
4097.2.85.56/2997.2.85.57 to 97.2.85.6297.2.85.636
4197.2.85.64/2997.2.85.65 to 97.2.85.7097.2.85.716
4297.2.85.72/2997.2.85.73 to 97.2.85.7897.2.85.796
4397.2.85.80/2997.2.85.81 to 97.2.85.8697.2.85.876
4497.2.85.88/2997.2.85.89 to 97.2.85.9497.2.85.956
4597.2.85.96/2997.2.85.97 to 97.2.85.10297.2.85.1036
4697.2.85.104/2997.2.85.105 to 97.2.85.11097.2.85.1116
4797.2.85.112/2997.2.85.113 to 97.2.85.11897.2.85.1196
4897.2.85.120/2997.2.85.121 to 97.2.85.12697.2.85.1276
4997.2.85.128/2997.2.85.129 to 97.2.85.13497.2.85.1356
5097.2.85.136/2997.2.85.137 to 97.2.85.14297.2.85.1436
5197.2.85.144/2997.2.85.145 to 97.2.85.15097.2.85.1516
5297.2.85.152/2997.2.85.153 to 97.2.85.15897.2.85.1596
5397.2.85.160/2997.2.85.161 to 97.2.85.16697.2.85.1676
5497.2.85.168/2997.2.85.169 to 97.2.85.17497.2.85.1756
5597.2.85.176/2997.2.85.177 to 97.2.85.18297.2.85.1836
5697.2.85.184/2997.2.85.185 to 97.2.85.19097.2.85.1916
5797.2.85.192/2997.2.85.193 to 97.2.85.19897.2.85.1996
5897.2.85.200/2997.2.85.201 to 97.2.85.20697.2.85.2076
5997.2.85.208/2997.2.85.209 to 97.2.85.21497.2.85.2156
6097.2.85.216/2997.2.85.217 to 97.2.85.22297.2.85.2236
6197.2.85.224/2997.2.85.225 to 97.2.85.23097.2.85.2316
6297.2.85.232/2997.2.85.233 to 97.2.85.23897.2.85.2396
6397.2.85.240/2997.2.85.241 to 97.2.85.24697.2.85.2476
6497.2.85.248/2997.2.85.249 to 97.2.85.25497.2.85.2556
6597.2.86.0/2997.2.86.1 to 97.2.86.697.2.86.76
6697.2.86.8/2997.2.86.9 to 97.2.86.1497.2.86.156
6797.2.86.16/2997.2.86.17 to 97.2.86.2297.2.86.236
6897.2.86.24/2997.2.86.25 to 97.2.86.3097.2.86.316
6997.2.86.32/2997.2.86.33 to 97.2.86.3897.2.86.396
7097.2.86.40/2997.2.86.41 to 97.2.86.4697.2.86.476
7197.2.86.48/2997.2.86.49 to 97.2.86.5497.2.86.556
7297.2.86.56/2997.2.86.57 to 97.2.86.6297.2.86.636
7397.2.86.64/2997.2.86.65 to 97.2.86.7097.2.86.716
7497.2.86.72/2997.2.86.73 to 97.2.86.7897.2.86.796
7597.2.86.80/2997.2.86.81 to 97.2.86.8697.2.86.876
7697.2.86.88/2997.2.86.89 to 97.2.86.9497.2.86.956
7797.2.86.96/2997.2.86.97 to 97.2.86.10297.2.86.1036
7897.2.86.104/2997.2.86.105 to 97.2.86.11097.2.86.1116
7997.2.86.112/2997.2.86.113 to 97.2.86.11897.2.86.1196
8097.2.86.120/2997.2.86.121 to 97.2.86.12697.2.86.1276
8197.2.86.128/2997.2.86.129 to 97.2.86.13497.2.86.1356
8297.2.86.136/2997.2.86.137 to 97.2.86.14297.2.86.1436
8397.2.86.144/2997.2.86.145 to 97.2.86.15097.2.86.1516
8497.2.86.152/2997.2.86.153 to 97.2.86.15897.2.86.1596
8597.2.86.160/2997.2.86.161 to 97.2.86.16697.2.86.1676
8697.2.86.168/2997.2.86.169 to 97.2.86.17497.2.86.1756
8797.2.86.176/2997.2.86.177 to 97.2.86.18297.2.86.1836
8897.2.86.184/2997.2.86.185 to 97.2.86.19097.2.86.1916
8997.2.86.192/2997.2.86.193 to 97.2.86.19897.2.86.1996
9097.2.86.200/2997.2.86.201 to 97.2.86.20697.2.86.2076
9197.2.86.208/2997.2.86.209 to 97.2.86.21497.2.86.2156
9297.2.86.216/2997.2.86.217 to 97.2.86.22297.2.86.2236
9397.2.86.224/2997.2.86.225 to 97.2.86.23097.2.86.2316
9497.2.86.232/2997.2.86.233 to 97.2.86.23897.2.86.2396
9597.2.86.240/2997.2.86.241 to 97.2.86.24697.2.86.2476
9697.2.86.248/2997.2.86.249 to 97.2.86.25497.2.86.2556
9797.2.87.0/2997.2.87.1 to 97.2.87.697.2.87.76
9897.2.87.8/2997.2.87.9 to 97.2.87.1497.2.87.156
9997.2.87.16/2997.2.87.17 to 97.2.87.2297.2.87.236
10097.2.87.24/2997.2.87.25 to 97.2.87.3097.2.87.316
10197.2.87.32/2997.2.87.33 to 97.2.87.3897.2.87.396
10297.2.87.40/2997.2.87.41 to 97.2.87.4697.2.87.476
10397.2.87.48/2997.2.87.49 to 97.2.87.5497.2.87.556
10497.2.87.56/2997.2.87.57 to 97.2.87.6297.2.87.636
10597.2.87.64/2997.2.87.65 to 97.2.87.7097.2.87.716
10697.2.87.72/2997.2.87.73 to 97.2.87.7897.2.87.796
10797.2.87.80/2997.2.87.81 to 97.2.87.8697.2.87.876
10897.2.87.88/2997.2.87.89 to 97.2.87.9497.2.87.956
10997.2.87.96/2997.2.87.97 to 97.2.87.10297.2.87.1036
11097.2.87.104/2997.2.87.105 to 97.2.87.11097.2.87.1116
11197.2.87.112/2997.2.87.113 to 97.2.87.11897.2.87.1196
11297.2.87.120/2997.2.87.121 to 97.2.87.12697.2.87.1276
11397.2.87.128/2997.2.87.129 to 97.2.87.13497.2.87.1356
11497.2.87.136/2997.2.87.137 to 97.2.87.14297.2.87.1436
11597.2.87.144/2997.2.87.145 to 97.2.87.15097.2.87.1516
11697.2.87.152/2997.2.87.153 to 97.2.87.15897.2.87.1596
11797.2.87.160/2997.2.87.161 to 97.2.87.16697.2.87.1676
11897.2.87.168/2997.2.87.169 to 97.2.87.17497.2.87.1756
11997.2.87.176/2997.2.87.177 to 97.2.87.18297.2.87.1836
12097.2.87.184/2997.2.87.185 to 97.2.87.19097.2.87.1916
12197.2.87.192/2997.2.87.193 to 97.2.87.19897.2.87.1996
12297.2.87.200/2997.2.87.201 to 97.2.87.20697.2.87.2076
12397.2.87.208/2997.2.87.209 to 97.2.87.21497.2.87.2156
12497.2.87.216/2997.2.87.217 to 97.2.87.22297.2.87.2236
12597.2.87.224/2997.2.87.225 to 97.2.87.23097.2.87.2316
12697.2.87.232/2997.2.87.233 to 97.2.87.23897.2.87.2396
12797.2.87.240/2997.2.87.241 to 97.2.87.24697.2.87.2476
12897.2.87.248/2997.2.87.249 to 97.2.87.25497.2.87.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses